%define api_version 1.1
%define lib_major 0
%define lib_name %mklibname gnet-%{api_version}_ %{lib_major}

Summary: Libgnet, a network library
Name: libgnet
Version: 1.1.9
Release: %mkrel 3

License: LGPL
Group: System/Libraries
Source: http://www.gnetlibrary.org/src/gnet-%{version}.tar.bz2
URL: http://gnetlibrary.org/
BuildRequires:	glib2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot


%description
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

Features:
  * TCP 'client' sockets
  * TCP 'server' sockets
  * Non-blocking TCP sockets
  * UDP
  * IP Multicast
  * Internet address abstraction

%package -n %{lib_name}
Summary: Libgnet, a network library
Group: System/Libraries
Provides: libgnet1 = %{version}-%{release}
Obsoletes: libgnet1
Provides: libgnet1.1 = %{version}-%{release}
Obsoletes: libgnet1.1

%description -n %{lib_name}
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.  It is intended to be small, fast, easy-to-use,
and easy to port.  The interface is similar to the interface for
Java's network library.

%package -n %{lib_name}-devel
Summary: Header files for the Gnet library
Group: Development/C
Provides: %{name}-devel = %{version}-%{release}
Provides: %{name}-%{api_version}-devel = %{version}-%{release}
Requires: %{lib_name} = %{version}-%{release}
Provides: libgnet1-devel = %{version}-%{release}
Obsoletes: libgnet1-devel
Provides: libgnet1.1-devel = %{version}-%{release}
Obsoletes: libgnet1.1-devel

%description -n %{lib_name}-devel
Gnet is a simple network library.  It is writen in C, object-oriented,
and built upon glib.
This package allows you to develop applications that use the Gnet
library.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n gnet-%{version} -q
chmod 755 doc/html


%build

%configure2_5x --enable-glib2
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgnet%{api_version}-dev

# multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/gnet-config

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL HACKING doc/html
%{_includedir}/gnet
%{_bindir}/*
%{_datadir}/aclocal/*
%{_mandir}/man1/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/gnet
%{_libdir}/*.so
%{_libdir}/pkgconfig/gnet.pc


%changelog
* Mon Nov 06 2006 Texstar <texstar@houston.rr.com> 1.1.9-3pclos2007
- Build for PCLinuxOS 2007

